Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class StandardAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  AllowableAction, ConfigureAction, DisplayHtml, ExportToCsvAction, FontAction, ProjectAction, SetPreferences

    public abstract class StandardAction

extends AbstractAction

TODO Class Comment

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary
`static String` | `DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `StandardAction(ResourceKey key)`
`protected` | `StandardAction(ResourceKey key, boolean useLargeIcons)`
`protected` | `StandardAction(String name)`
`protected` | `StandardAction(String name, Icon icon)`

Method Summary
`static boolean` | `equals(Object o1, Object o2)`
`Icon` | `getIcon()`
`String` | `getName()`
`static String` | `getName(Action action)`
`static void` | `initialize(Action action, ResourceKey key, boolean useLargeIcons)`
`static void` | `setDescription(Action action, String text)`
`void` | `setDescription(String text)`
`static void` | `setDisabledIcon(Action action, Icon icon)`
`void` | `setDisabledIcon(Icon icon)`
`static void` | `setIcon(Action action, Icon icon)`
`void` | `setIcon(Icon icon)`
`static void` | `setMnemonic(Action action, int c)`
`void` | `setMnemonic(int c)`
`static void` | `setName(Action action, String text)`
`void` | `setName(String text)`
`static void` | `setShortcut(Action action, int c)`
`void` | `setShortcut(int c)`
`void` | `substituteIntoName(String text)`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.awt.event.ActionListener
`actionPerformed`

Field Detail

### DISABLED_ICON

    public static final String DISABLED_ICON

See Also:
  Constant Field Values

Constructor Detail

### StandardAction

    protected StandardAction(String name)

### StandardAction

    protected StandardAction(String name,
                             Icon icon)

### StandardAction

    protected StandardAction(ResourceKey key)

### StandardAction

    protected StandardAction(ResourceKey key,
                             boolean useLargeIcons)

Method Detail

### substituteIntoName

    public void substituteIntoName(String text)

### initialize

    public static void initialize(Action action,
                                  ResourceKey key,
                                  boolean useLargeIcons)

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### getName

    public String getName()

### getName

    public static String getName(Action action)

### setName

    public void setName(String text)

### setDescription

    public void setDescription(String text)

### setName

    public static void setName(Action action,
                               String text)

### setDescription

    public static void setDescription(Action action,
                                      String text)

### getIcon

    public Icon getIcon()

### setIcon

    public void setIcon(Icon icon)

### setIcon

    public static void setIcon(Action action,
                               Icon icon)

### setDisabledIcon

    public void setDisabledIcon(Icon icon)

### setDisabledIcon

    public static void setDisabledIcon(Action action,
                                       Icon icon)

### setShortcut

    public void setShortcut(int c)

### setShortcut

    public static void setShortcut(Action action,
                                   int c)

### setMnemonic

    public void setMnemonic(int c)

### setMnemonic

    public static void setMnemonic(Action action,
                                   int c)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.